package com.vendor.burn.commands;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.burn.commands.SerialCommand;
import com.vendor.burn.model.FlashType;
import java.util.Locale;

public class INFOCommand extends SerialCommand {
  private static final String KEY_INFO = "info";
  
  private static final String KEY_GETINFO = "getinfo";
  
  private static final String KEY_BOOTMODE = "bootmode";
  
  private static final String KEY_VERSION = "version";
  
  private static final String KEY_DDRFREE = "ddrfree";
  
  private static final String KEY_GPT = "gpt";
  
  private static final String KEY_SERIAL = "setenv serial# ";
  
  private static final String KEY_FASTBOOT = "fastboot -l %s -s  %s usb 0";
  
  private static final String KEY_ENABLE_UDP_SERVICE = "fastboot -l %s -s  %s udp";
  
  private INFOCommand(String command) {
    setCommand(command);
  }
  
  public static com.vendor.burn.commands.INFOCommand getBootmode() {
    return new com.vendor.burn.commands.INFOCommand("getinfo bootmode");
  }
  
  public static com.vendor.burn.commands.INFOCommand getInfoGpt() {
    return new com.vendor.burn.commands.INFOCommand("getinfogpt");
  }
  
  public static com.vendor.burn.commands.INFOCommand getVersion() {
    return new com.vendor.burn.commands.INFOCommand("getinfo version");
  }
  
  public static com.vendor.burn.commands.INFOCommand getDDRFree() {
    return new com.vendor.burn.commands.INFOCommand("getinfo ddrfree");
  }
  
  public static com.vendor.burn.commands.INFOCommand info(FlashType flashType) {
    return new com.vendor.burn.commands.INFOCommand("getinfo " + flashType.name());
  }
  
  public static com.vendor.burn.commands.INFOCommand getUDPServiceCommand(String ddrFreeBaseAddr, String ddrfreeLength) {
    return new com.vendor.burn.commands.INFOCommand(String.format(Locale.ENGLISH, "fastboot -l %s -s  %s udp", new Object[] { ddrFreeBaseAddr, ddrfreeLength }));
  }
  
  public static com.vendor.burn.commands.INFOCommand getFastboot(String ddrStartAdd, String ddrfreeLength) {
    return new com.vendor.burn.commands.INFOCommand(String.format(Locale.ENGLISH, "fastboot -l %s -s  %s usb 0", new Object[] { ddrStartAdd, ddrfreeLength }));
  }
  
  public static com.vendor.burn.commands.INFOCommand getUsbSerial(String usbSerial) {
    return new com.vendor.burn.commands.INFOCommand("setenv serial# " + usbSerial);
  }
}
